## networking-sfc 11.0.0

=== debian/changelog ===
networking-sfc (11.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 09:17:03 -0400

networking-sfc (11.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 11.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 16:35:46 -0400

networking-sfc (10.0.1~git2020070614.211e515-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Dropped. Fixed upstream.
  * d/control, d/compat: Switch to debhelper compat 12.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jul 2020 14:04:00 -0400

networking-sfc (10.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 10.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream to fix Python 3.8 monkey patching (LP: #1863021).
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 14:41:04 -0400

=== debian/control ===
Source: networking-sfc
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-alembic (>= 0.8.10),
 python3-astroid (>= 1.6.5),
 python3-coverage (>= 4.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:16.0.0),
 python3-neutron-lib (>= 1.18.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.5.0),
 python3-os-testr,
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-paste,
 python3-psycopg2 (>= 2.7.7),
 python3-pymysql (>= 0.7.6),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.5.0
Homepage: https://opendev.org/openstack/networking-sfc
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-sfc
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-sfc

Package: networking-sfc-common
Architecture: all
Section: python
Depends:
 ${misc:Depends},
Breaks:
 python-networking-sfc (<< 7.0.0~b2-0ubuntu2~),
Replaces:
 python-networking-sfc (<< 7.0.0~b2-0ubuntu2~),
Description: OpenStack virtual network service - SFC extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package contains the common configuration files for the Service Function
 Chaining (SFC) extension.

Package: python3-networking-sfc
Architecture: all
Section: python
Depends:
 networking-sfc-common (= ${source:Version}),
 python3-alembic (>= 0.8.10),
 python3-astroid (>= 1.6.5),
 python3-eventlet (>= 0.18.2),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:16.0.0),
 python3-neutron-lib (>= 1.18.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-paste,
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stevedore (>= 1:1.20.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - SFC extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 3 module for the Service Function Chaining
 (SFC) extension.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-sfc networking-sfc-(11\.\d.*)\.tar\.gz

## networking-sfc 12.0.0

=== debian/changelog ===
networking-sfc (12.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 13:31:59 +0000

networking-sfc (12.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 12.x series and fix tarball path.
  * New upstream release candidate for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Mar 2021 11:23:43 -0400

networking-sfc (11.0.0+git2020121015.c1fd728-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Dec 2020 15:31:01 -0500

=== debian/control ===
--- 
+++ 
@@ -10,36 +10,34 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr (>= 4.0.0),
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-alembic (>= 0.8.10),
+ python3-alembic (>= 0.9.6),
  python3-astroid (>= 1.6.5),
  python3-coverage (>= 4.0),
- python3-eventlet (>= 0.18.2),
+ python3-eventlet (>= 0.25.1),
  python3-fixtures (>= 3.0.0),
- python3-hacking (>= 0.12.0),
- python3-mock (>= 2.0.0),
  python3-netaddr (>= 0.7.18),
- python3-neutron (>= 2:16.0.0),
- python3-neutron-lib (>= 1.18.0),
+ python3-neutron (>= 2:17.0.0),
+ python3-neutron-lib (>= 2.8.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-os-api-ref (>= 1.5.0),
  python3-os-testr,
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.utils (>= 3.33.0),
+ python3-oslo.config (>= 1:8.0.0),
+ python3-oslo.i18n (>= 3.20.0),
+ python3-oslo.log (>= 4.3.0),
+ python3-oslo.messaging (>= 12.4.0),
+ python3-oslo.serialization (>= 2.25.0),
+ python3-oslo.utils (>= 4.5.0),
  python3-oslotest (>= 1:3.2.0),
  python3-paste,
- python3-psycopg2 (>= 2.7.7),
+ python3-psycopg2 (>= 2.8),
  python3-pymysql (>= 0.7.6),
  python3-requests-mock (>= 1.2.0),
- python3-six (>= 1.10.0),
+ python3-six (>= 1.11.0),
  python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
  python3-sqlalchemy (>= 1.2.0),
  python3-stestr (>= 2.0.0),
@@ -48,7 +46,7 @@
  python3-testresources (>= 2.0.0),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
- python3-webob (>= 1:1.7.1),
+ python3-webob (>= 1:1.8.2),
  python3-webtest (>= 2.0.27),
 Standards-Version: 4.5.0
 Homepage: https://opendev.org/openstack/networking-sfc
@@ -78,22 +76,22 @@
 Section: python
 Depends:
  networking-sfc-common (= ${source:Version}),
- python3-alembic (>= 0.8.10),
+ python3-alembic (>= 0.9.6),
  python3-astroid (>= 1.6.5),
- python3-eventlet (>= 0.18.2),
+ python3-eventlet (>= 0.25.1),
  python3-netaddr (>= 0.7.18),
- python3-neutron (>= 2:16.0.0),
- python3-neutron-lib (>= 1.18.0),
+ python3-neutron (>= 2:17.0.0),
+ python3-neutron-lib (>= 2.8.0),
  python3-neutronclient (>= 1:6.7.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.utils (>= 3.33.0),
+ python3-oslo.config (>= 1:8.0.0),
+ python3-oslo.i18n (>= 3.20.0),
+ python3-oslo.log (>= 4.3.0),
+ python3-oslo.messaging (>= 12.4.0),
+ python3-oslo.serialization (>= 2.25.0),
+ python3-oslo.utils (>= 4.5.0),
  python3-paste,
- python3-pbr (>= 2.0.0),
- python3-six (>= 1.10.0),
+ python3-pbr (>= 4.0.0),
+ python3-six (>= 1.11.0),
  python3-sqlalchemy (>= 1.2.0),
  python3-stevedore (>= 1:1.20.0),
  python3-webob (>= 1:1.7.1),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-sfc/ networking-sfc-(12\.\d.*)\.tar\.gz

## networking-sfc 13.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=4.0.0 # Apache-2.0

eventlet>=0.25.1 # MIT
netaddr>=0.7.18 # BSD
python-neutronclient>=6.7.0 # Apache-2.0
SQLAlchemy>=1.2.0 # MIT
alembic>=0.9.6 # MIT
stevedore>=1.20.0 # Apache-2.0
oslo.config>=8.0.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.messaging>=12.4.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
neutron-lib>=2.11.0 # Apache-2.0
neutron>=17.0.0 # Apache-2.0

# The comment below indicates this project repo is current with neutron-lib
# and should receive neutron-lib consumption patches as they are released
# in neutron-lib. It also implies the project will stay current with TC
# and infra initiatives ensuring consumption patches can land.
# neutron-lib-current

=== debian/changelog ===
networking-sfc (13.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 13.x series and fix tarball path.
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 10:58:48 -0400

networking-sfc (12.0.0+git2021090912.04e1be1-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 12:44:34 -0400

networking-sfc (12.0.0+git2021061112.e01048c-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:54 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python3-fixtures (>= 3.0.0),
  python3-netaddr (>= 0.7.18),
  python3-neutron (>= 2:17.0.0),
- python3-neutron-lib (>= 2.8.0),
+ python3-neutron-lib (>= 2.11.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-os-api-ref (>= 1.5.0),
@@ -81,7 +81,7 @@
  python3-eventlet (>= 0.25.1),
  python3-netaddr (>= 0.7.18),
  python3-neutron (>= 2:17.0.0),
- python3-neutron-lib (>= 2.8.0),
+ python3-neutron-lib (>= 2.11.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-oslo.config (>= 1:8.0.0),
  python3-oslo.i18n (>= 3.20.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-sfc/ networking-sfc-(13\.\d.*)\.tar\.gz

## networking-sfc 14.0.0

=== requirements.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 oslo.messaging>=12.4.0 # Apache-2.0
 oslo.serialization>=2.25.0 # Apache-2.0
 oslo.utils>=4.5.0 # Apache-2.0
-neutron-lib>=2.11.0 # Apache-2.0
+neutron-lib>=2.19.0 # Apache-2.0
 neutron>=17.0.0 # Apache-2.0
 
 # The comment below indicates this project repo is current with neutron-lib

=== debian/changelog ===
networking-sfc (14.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 14.x series and fix tarball path.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 21:33:49 -0400

networking-sfc (13.0.0+git2022030314.26274d2-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 14:12:30 -0500

networking-sfc (13.0.0+git2021120909.5cabef6-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 09:39:22 -0500

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python3-fixtures (>= 3.0.0),
  python3-netaddr (>= 0.7.18),
  python3-neutron (>= 2:17.0.0),
- python3-neutron-lib (>= 2.11.0),
+ python3-neutron-lib (>= 2.19.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-os-api-ref (>= 1.5.0),
@@ -81,7 +81,7 @@
  python3-eventlet (>= 0.25.1),
  python3-netaddr (>= 0.7.18),
  python3-neutron (>= 2:17.0.0),
- python3-neutron-lib (>= 2.11.0),
+ python3-neutron-lib (>= 2.19.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-oslo.config (>= 1:8.0.0),
  python3-oslo.i18n (>= 3.20.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-sfc/ networking-sfc-(14\.\d.*)\.tar\.gz

## networking-sfc 15.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== debian/changelog ===
networking-sfc (15.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2022 23:43:22 +0200

networking-sfc (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed min version of python3-neutron (>= 2:21.0.0~).

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Sep 2022 13:09:11 +0200

networking-sfc (14.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 21:53:10 +0200

networking-sfc (14.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 15:28:55 +0100

networking-sfc (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 18:56:43 +0100

networking-sfc (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 21:20:37 +0200

networking-sfc (13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:32:05 +0200

networking-sfc (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Needs python3-neutron-lib >= 2.11.0.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Sep 2021 10:42:42 +0200

networking-sfc (12.0.0-2) unstable; urgency=medium

  * d/control: Add me to uploaders field
  * d/copyright: Add me to copyright file
  * Upload to unstable

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 16 Aug 2021 16:41:13 +0200

networking-sfc (12.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 16:45:56 +0200

networking-sfc (12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Mar 2021 12:14:47 +0100

networking-sfc (11.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 15:01:40 +0200

networking-sfc (11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2020 20:58:55 +0200

networking-sfc (10.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 17:02:49 +0200

networking-sfc (10.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 12:41:02 +0200

networking-sfc (10.0.0~rc1-1) experimental; urgency=medium

  * Move the package to the neutron-plugins subgroup on Salsa.
  * New upstream release.
  * Added python3-sphinxcontrib.svg2pdfconverter as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Apr 2020 23:41:29 +0200

networking-sfc (9.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading go unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 23:52:04 +0200

networking-sfc (9.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 20:33:32 +0200

networking-sfc (9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Oct 2019 22:37:21 +0200

networking-sfc (8.0.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Minor fixes in debian/control.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jul 2019 15:41:56 +0200

networking-sfc (8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 13:31:34 +0200

networking-sfc (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed package versions when satisfied in Buster.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Apr 2019 14:49:09 +0200

=== debian/control ===
Source: networking-sfc
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-coverage,
 python3-eventlet,
 python3-fixtures,
 python3-hacking,
 python3-isort,
 python3-mock,
 python3-netaddr,
 python3-neutron (>= 2:21.0.0~),
 python3-neutron-lib (>= 2.19.0),
 python3-neutronclient,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-psycopg2,
 python3-pymysql,
 python3-requests-mock,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-webtest,
 subunit,
Standards-Version: 4.4.1
Homepage: http://github.com/openstack/networking-sfc
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/networking-sfc
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/networking-sfc.git

Package: python3-networking-sfc
Architecture: all
Section: python
Depends:
 alembic,
 python3-eventlet,
 python3-netaddr,
 python3-neutron (>= 2:21.0.0~),
 python3-neutron-lib (>= 2.19.0),
 python3-neutronclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-sqlalchemy,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-networking-sfc,
Replaces:
 python-networking-sfc,
Description: OpenStack virtual network service - SFC extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the Service Function Chaining (SFC)
 extension.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf build

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'networking_sfc\.tests.*'
endif
	dh_install
	dh_missing --fail-missing

## networking-sfc 16.0.0

=== debian/changelog ===
networking-sfc (16.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 15:03:18 -0400

networking-sfc (16.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Mar 2023 07:56:29 -0500

networking-sfc (15.0.0+git2023011010.16f631dc-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:16:33 -0500

networking-sfc (15.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 15.x series and fix tarball path.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 17:09:25 -0400

networking-sfc (14.0.0+git2022071815.b1ad8c7-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 15:28:03 -0400

networking-sfc (14.0.0+git2022060214.ddb298c-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 14:48:12 -0400

=== debian/control ===
Source: networking-sfc
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-alembic (>= 0.9.6),
 python3-astroid (>= 1.6.5),
 python3-coverage (>= 4.0),
 python3-eventlet (>= 0.25.1),
 python3-fixtures (>= 3.0.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:17.0.0),
 python3-neutron-lib (>= 2.19.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.5.0),
 python3-os-testr,
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 12.4.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslotest (>= 1:3.2.0),
 python3-paste,
 python3-psycopg2 (>= 2.8),
 python3-pymysql (>= 0.7.6),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.11.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.2),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.6.1
Homepage: https://opendev.org/openstack/networking-sfc
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-sfc

Package: networking-sfc-common
Architecture: all
Section: python
Depends:
 ${misc:Depends},
Breaks:
 python-networking-sfc (<< 7.0.0~b2-0ubuntu2~),
Replaces:
 python-networking-sfc (<< 7.0.0~b2-0ubuntu2~),
Description: OpenStack virtual network service - SFC extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package contains the common configuration files for the Service Function
 Chaining (SFC) extension.

Package: python3-networking-sfc
Architecture: all
Section: python
Depends:
 networking-sfc-common (= ${source:Version}),
 python3-alembic (>= 0.9.6),
 python3-astroid (>= 1.6.5),
 python3-eventlet (>= 0.25.1),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:17.0.0),
 python3-neutron-lib (>= 2.19.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 12.4.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.utils (>= 4.5.0),
 python3-paste,
 python3-pbr (>= 4.0.0),
 python3-six (>= 1.11.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stevedore (>= 1:1.20.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - SFC extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 3 module for the Service Function Chaining
 (SFC) extension.

## networking-sfc 17.0.0

=== requirements.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 eventlet>=0.25.1 # MIT
 netaddr>=0.7.18 # BSD
-python-neutronclient>=6.7.0 # Apache-2.0
+python-neutronclient>=10.0.0 # Apache-2.0
 SQLAlchemy>=1.2.0 # MIT
 alembic>=0.9.6 # MIT
 stevedore>=1.20.0 # Apache-2.0
@@ -20,7 +20,7 @@
 oslo.serialization>=2.25.0 # Apache-2.0
 oslo.utils>=4.5.0 # Apache-2.0
 neutron-lib>=2.19.0 # Apache-2.0
-neutron>=17.0.0 # Apache-2.0
+neutron>=23.0.0.0b2 # Apache-2.0
 
 # The comment below indicates this project repo is current with neutron-lib
 # and should receive neutron-lib consumption patches as they are released

=== debian/changelog ===
networking-sfc (17.0.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 11:21:09 +0000

networking-sfc (17.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:10:27 -0400

networking-sfc (16.0.0+git2023090714.7cf81e20-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:37:06 -0400

networking-sfc (16.0.0+git2023071214.9c0823ce-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 14:47:07 -0400

=== debian/control ===
--- 
+++ 
@@ -20,9 +20,9 @@
  python3-eventlet (>= 0.25.1),
  python3-fixtures (>= 3.0.0),
  python3-netaddr (>= 0.7.18),
- python3-neutron (>= 2:17.0.0),
+ python3-neutron (>= 2:23.0.0~),
  python3-neutron-lib (>= 2.19.0),
- python3-neutronclient (>= 1:6.7.0),
+ python3-neutronclient (>= 1:10.0.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-os-api-ref (>= 1.5.0),
  python3-os-testr,
@@ -79,9 +79,9 @@
  python3-astroid (>= 1.6.5),
  python3-eventlet (>= 0.25.1),
  python3-netaddr (>= 0.7.18),
- python3-neutron (>= 2:17.0.0),
+ python3-neutron (>= 2:23.0.0~),
  python3-neutron-lib (>= 2.19.0),
- python3-neutronclient (>= 1:6.7.0),
+ python3-neutronclient (>= 1:10.0.0),
  python3-oslo.config (>= 1:8.0.0),
  python3-oslo.i18n (>= 3.20.0),
  python3-oslo.log (>= 4.3.0),

## networking-sfc 18.0.0

=== requirements.txt ===
--- 
+++ 
@@ -2,9 +2,6 @@
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
 
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
 pbr>=4.0.0 # Apache-2.0
 
 eventlet>=0.25.1 # MIT

=== debian/changelog ===
networking-sfc (18.0.0-3) unstable; urgency=medium

  * Restrict autopkgtest to Architecture: amd64 arm64 ppc64el.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 May 2024 16:53:10 +0200

networking-sfc (18.0.0-2) unstable; urgency=medium

  * Drop extraneous python3-mock build dependency (Closes: #1069976).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Apr 2024 08:55:34 +0200

networking-sfc (18.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 22:14:10 +0200

networking-sfc (18.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Replaced do-not-use-assertDictContainsSubset.patch by the nicer upstream
    patch py312-assertDictContainsSubset.patch, thanks to James Page for it.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Mar 2024 12:19:09 +0100

networking-sfc (17.0.0-2) unstable; urgency=medium

  * Add do-not-use-assertDictContainsSubset.patch (Closes: #1058258).

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Jan 2024 11:15:35 +0100

networking-sfc (17.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 12:57:12 +0200

networking-sfc (17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Sep 2023 10:40:25 +0200

networking-sfc (16.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045774).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 17:02:52 +0200

networking-sfc (16.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 10:17:38 +0200

networking-sfc (16.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 16:59:06 +0100

networking-sfc (16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bookworm.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Mar 2023 10:27:30 +0100

=== debian/control ===
Source: networking-sfc
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-coverage,
 python3-eventlet,
 python3-fixtures,
 python3-hacking,
 python3-isort,
 python3-netaddr,
 python3-neutron (>= 2:23.0.0~b2),
 python3-neutron-lib,
 python3-neutronclient (>= 1:10.0.0),
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-psycopg2,
 python3-pymysql,
 python3-requests-mock,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-webtest,
 subunit,
Standards-Version: 4.4.1
Homepage: http://github.com/openstack/networking-sfc
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/networking-sfc
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/networking-sfc.git

Package: python3-networking-sfc
Architecture: all
Section: python
Depends:
 alembic,
 python3-eventlet,
 python3-netaddr,
 python3-neutron (>= 2:23.0.0~b2),
 python3-neutron-lib,
 python3-neutronclient (>= 1:10.0.0),
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-sqlalchemy,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-networking-sfc,
Replaces:
 python-networking-sfc,
Description: OpenStack virtual network service - SFC extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the Service Function Chaining (SFC)
 extension.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,8 @@
 
 override_dh_clean:
 	dh_clean
-	rm -rf build
+	rm -rf build *.egg-info
+	find . -type d -name __pycache__ -exec rm -r {} \+
 
 override_dh_auto_clean:
 	python3 setup.py clean

## networking-sfc 19.0.0~rc1

=== debian/changelog ===
networking-sfc (19.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 14:12:53 +0200

networking-sfc (19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Requires SQLAlchemy >= 2.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2024 11:42:42 +0200

## networking-sfc 19.0.0

=== requirements.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 eventlet>=0.25.1 # MIT
 netaddr>=0.7.18 # BSD
 python-neutronclient>=10.0.0 # Apache-2.0
-SQLAlchemy>=1.2.0 # MIT
+SQLAlchemy>=2.0.0 # MIT
 alembic>=0.9.6 # MIT
 stevedore>=1.20.0 # Apache-2.0
 oslo.config>=8.0.0 # Apache-2.0

=== debian/changelog ===
networking-sfc (19.0.0-0ubuntu1~cloud0) noble-dalmatian; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Fri, 04 Oct 2024 08:37:46 +0000

networking-sfc (19.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:30:25 +0100

networking-sfc (19.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 15:02:50 +0100

networking-sfc (18.0.0+git2024081321.bcc6be3e-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian:
    - d/p/*: Drop, included upstream.

 -- Jadon Naas <jadon.naas@canonical.com>  Wed, 14 Aug 2024 09:41:12 +0100

networking-sfc (18.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 14:50:45 +0100

networking-sfc (18.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal. 

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2024 10:26:27 +0000

networking-sfc (17.0.0+git2024011916.6bc53e15-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/python-3.12-assertDictContainsSubset.patch: Cherry pick fix for
    Python 3.12 compatibility in unit tests.

 -- James Page <james.page@ubuntu.com>  Wed, 24 Jan 2024 13:59:22 +0000

=== debian/control ===
Source: networking-sfc
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-alembic (>= 0.9.6),
 python3-astroid (>= 1.6.5),
 python3-coverage (>= 4.0),
 python3-eventlet (>= 0.25.1),
 python3-fixtures (>= 3.0.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:23.0.0~b2),
 python3-neutron-lib (>= 2.19.0),
 python3-neutronclient (>= 1:10.0.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.5.0),
 python3-os-testr,
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 12.4.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslotest (>= 1:3.2.0),
 python3-paste,
 python3-psycopg2 (>= 2.8),
 python3-pymysql (>= 0.7.6),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.11.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.2),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.6.1
Homepage: https://opendev.org/openstack/networking-sfc
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-sfc

Package: networking-sfc-common
Architecture: all
Section: python
Depends:
 ${misc:Depends},
Breaks:
 python-networking-sfc (<< 7.0.0~b2-0ubuntu2~),
Replaces:
 python-networking-sfc (<< 7.0.0~b2-0ubuntu2~),
Description: OpenStack virtual network service - SFC extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package contains the common configuration files for the Service Function
 Chaining (SFC) extension.

Package: python3-networking-sfc
Architecture: all
Section: python
Depends:
 networking-sfc-common (= ${source:Version}),
 python3-alembic (>= 0.9.6),
 python3-astroid (>= 1.6.5),
 python3-eventlet (>= 0.25.1),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:23.0.0~b2),
 python3-neutron-lib (>= 2.19.0),
 python3-neutronclient (>= 1:10.0.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 12.4.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.utils (>= 4.5.0),
 python3-paste,
 python3-pbr (>= 4.0.0),
 python3-six (>= 1.11.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stevedore (>= 1:1.20.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - SFC extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 3 module for the Service Function Chaining
 (SFC) extension.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-sfc/ networking-sfc-(\d.*)\.tar\.gz

## networking-sfc 20.0.0

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 pbr>=4.0.0 # Apache-2.0
 
-eventlet>=0.25.1 # MIT
+eventlet>=0.27.0 # MIT
 netaddr>=0.7.18 # BSD
 python-neutronclient>=10.0.0 # Apache-2.0
 SQLAlchemy>=2.0.0 # MIT

=== debian/changelog ===
networking-sfc (20.0.0-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 03 Apr 2025 22:25:19 +0200

networking-sfc (19.0.0+git2025030311.ec31967-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 05 Mar 2025 10:07:57 +0000

networking-sfc (19.0.0+git2025011511.ec31967-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Remove outdated dependencies.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 21 Jan 2025 10:18:41 +0000

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,7 @@
 Build-Depends-Indep:
  python3-alembic (>= 0.9.6),
  python3-astroid (>= 1.6.5),
- python3-coverage (>= 4.0),
- python3-eventlet (>= 0.25.1),
+ python3-eventlet (>= 0.27.0),
  python3-fixtures (>= 3.0.0),
  python3-netaddr (>= 0.7.18),
  python3-neutron (>= 2:23.0.0~b2),
@@ -37,9 +36,8 @@
  python3-psycopg2 (>= 2.8),
  python3-pymysql (>= 0.7.6),
  python3-requests-mock (>= 1.2.0),
- python3-six (>= 1.11.0),
  python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
- python3-sqlalchemy (>= 1.2.0),
+ python3-sqlalchemy (>= 2.0.0),
  python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-subunit (>= 1.0.0),
@@ -77,7 +75,7 @@
  networking-sfc-common (= ${source:Version}),
  python3-alembic (>= 0.9.6),
  python3-astroid (>= 1.6.5),
- python3-eventlet (>= 0.25.1),
+ python3-eventlet (>= 0.27.0),
  python3-netaddr (>= 0.7.18),
  python3-neutron (>= 2:23.0.0~b2),
  python3-neutron-lib (>= 2.19.0),
@@ -91,7 +89,7 @@
  python3-paste,
  python3-pbr (>= 4.0.0),
  python3-six (>= 1.11.0),
- python3-sqlalchemy (>= 1.2.0),
+ python3-sqlalchemy (>= 2.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-webob (>= 1:1.7.1),
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2
endif

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build etc/neutron

override_dh_install:
	# NOTE: generate configuration files directly
	mkdir -p etc/neutron
	for file in `ls etc/oslo-config-generator/*`; do \
	     PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=$$file \
	        --output-file=etc/neutron/`basename $$file`; \
	done
	dh_install
	rm -rf $(CURDIR)/debian/python*-networking-sfc/usr/bin

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-sfc/ networking_sfc-(20\.\d.*)\.tar\.gz

## networking-sfc 20.0.0+git2025070714.39c6bd2

=== debian/changelog ===
networking-sfc (20.0.0+git2025070714.39c6bd2-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 22 Jul 2025 10:58:24 -0700

## networking-sfc 21.0.0~rc1

=== debian/changelog ===
networking-sfc (21.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Mon, 29 Sep 2025 10:34:33 +0000

networking-sfc (21.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 12:01:05 +0200

networking-sfc (21.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 10:04:22 +0200

networking-sfc (20.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 14:31:47 +0200

networking-sfc (20.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:29:01 +0100

networking-sfc (20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 15 Mar 2025 18:28:51 +0100

networking-sfc (19.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090444).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 13:49:49 +0100

networking-sfc (19.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 16:47:48 +0200
